aboutsummaryrefslogtreecommitdiff
path: root/thirdparty/nRF5_SDK_15.0.0_a53641a/external/micro-ecc/build_all.sh
diff options
context:
space:
mode:
authorTrygve Laugstøl <trygvis@inamo.no>2018-08-23 17:08:59 +0200
committerTrygve Laugstøl <trygvis@inamo.no>2018-08-23 17:12:21 +0200
commit3061ecca3d0fdfb87dabbf5f63c9e06c2a30f53a (patch)
treeab49cc16ed0b853452c5c2ed2d3042416d628986 /thirdparty/nRF5_SDK_15.0.0_a53641a/external/micro-ecc/build_all.sh
downloadiot-sensors-3061ecca3d0fdfb87dabbf5f63c9e06c2a30f53a.tar.gz
iot-sensors-3061ecca3d0fdfb87dabbf5f63c9e06c2a30f53a.tar.bz2
iot-sensors-3061ecca3d0fdfb87dabbf5f63c9e06c2a30f53a.tar.xz
iot-sensors-3061ecca3d0fdfb87dabbf5f63c9e06c2a30f53a.zip
o Initial import.HEADmaster
Diffstat (limited to 'thirdparty/nRF5_SDK_15.0.0_a53641a/external/micro-ecc/build_all.sh')
-rw-r--r--thirdparty/nRF5_SDK_15.0.0_a53641a/external/micro-ecc/build_all.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/thirdparty/nRF5_SDK_15.0.0_a53641a/external/micro-ecc/build_all.sh b/thirdparty/nRF5_SDK_15.0.0_a53641a/external/micro-ecc/build_all.sh
new file mode 100644
index 0000000..15845d7
--- /dev/null
+++ b/thirdparty/nRF5_SDK_15.0.0_a53641a/external/micro-ecc/build_all.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# This script will use git (must be in $PATH) and arm-none-eabi tools in combination with GNU Make
+# to both fetch and compile all variants of micro-ecc for the nRF5 families
+
+if ! [ -x "$(command -v git)" ]; then
+ echo 'git is not installed. Please install and append to PATH.' >&2
+ exit
+fi
+
+if [ ! -f micro-ecc/uECC.c ]; then
+ echo "micro-ecc not found! Let's pull it from HEAD."
+ git clone https://github.com/kmackay/micro-ecc.git
+fi
+
+make -C nrf51_armgcc/armgcc &&
+make -C nrf51_iar/armgcc &&
+make -C nrf51_keil/armgcc &&
+make -C nrf52hf_armgcc/armgcc &&
+make -C nrf52hf_iar/armgcc &&
+make -C nrf52hf_keil/armgcc &&
+make -C nrf52nf_armgcc/armgcc &&
+make -C nrf52nf_iar/armgcc &&
+make -C nrf52nf_keil/armgcc